#{extends 'borderNG.html' /}
#{set 'titleHead'}
	Detil Evaluasi
#{/set}

<ol class="breadcrumb">
    <li><a href="@{BerandaCtr.index()}">Beranda</a></li>
    <li><a href="@{lelang.LelangCtr.view(lelang.lls_id)}">Informasi Tender</a></li>
</ol>

#{tabmenuLelang tahapStarted/}
<div class="content">
#{if lelang.lelangV3}
    <div class="alert alert-danger">Tender ini menggunakan Aplikasi SPSE v3. <a href="@{lelang.EvaluasiCtr.hasil(lelang.lls_id)}" class="badge  badge-secondary" target="_blank">Klik di sini</a> dan/atau Summary Tender untuk melihat Hasil Evaluasi.</div>
#{/if}
#{else}
<table class="table table-sm">
    <tr>
        <th class="bg-warning" style="width: 25%">Nama Peserta</th>
        <td>${nama} <a href="@{lelang.EvaluasiCtr.index(lelang.lls_id)}" class="badge pull-right"><i class="fa fa-arrow-left"></i> &{'tag.kembali_hasil_evaluasi'}</a></td>
    </tr>    
    <tr>
        <th class="bgwarning">Data Kualifikasi</th>
        <td>#{if dokumen_kualifikasi}
	        	<a href="@{lelang.KualifikasiCtr.preview(id)}" class="badge  badge-secondary" target="_blank" width="800" height="600">Detil</a>
        	#{/if}
        	#{else} <div class="alert alert-danger">Peserta Tidak Mengirimkan Dokumen Kualifikasi</div> #{/else}
            #{if lelang.is_kualifikasi_tambahan}
                #{if peserta?.dokSusulan != null}
                    <a href="@{lelang.KualifikasiCtr.susulan(id)}" class="badge  badge-secondary" target="_blank" width="800" height="600">Tambahan</a>
                #{/if}
                #{elseif peserta?.is_dikirim_pesan} Peserta tidak mengirimkan Persyaratan Kualifikasi Tambahan #{/elseif}
            #{/if}
        </td>
    </tr>
    #{if dokumen}
        #{if !lelang.lelangV3}
            <tr><th class="bgwarning">Masa Berlaku Penawaran</th><td>${dokumen?.dok_waktu} hari</td></tr>
        #{/if}
        <tr>
            <th class="bgwarning">Penawaran Harga</th>
            <td>
                #{if dokumen}<a href="@{lelang.PesertaCtr.rincian_penawaran(id)}" class="badge  badge-secondary" target="_blank">Detil</a>#{/if}
                #{else}<div class="alert alert-danger">Peserta Tidak Mengirimkan Dokumen Penawaran</div>#{/else}
            </td>
        </tr>
    #{/if}

    #{listUndangan peserta /}

</table>
#{if notifikasi_kualifikasi} <div class="alert alert-danger">Penawaran Kualifikasi Terkirim sebelum Adendum Dokumen Pemilihan </div>#{/if}
#{if notifikasi_admin_teknis} <div class="alert alert-danger">Penawaran Administrasi dan Teknis Terkirim sebelum Adendum Dokumen Pemilihan </div>#{/if}
#{if notifikasi_harga} <div class="alert alert-danger">Penawaran Harga Terkirim sebelum Adendum Dokumen Pemilihan </div> #{/if}
#{alert /}
<div class="content">
	<ul class="nav nav-tabs">
        #{if lelang.prakualifikasi}
			<li class="nav-item"><a class="nav-link" href="#kualifikasi" data-toggle="tab"><b>Evaluasi Kualifikasi</b></a></li>
			<li class="nav-item"><a class="nav-link" href="#pembuktian" data-toggle="tab"><b>Pembuktian Kualifikasi</b></a></li>
			<li class="nav-item"><a class="nav-link" href="#administrasi" data-toggle="tab"><b>Evaluasi Administrasi</b></a></li>
			<li class="nav-item"><a class="nav-link" href="#teknis" data-toggle="tab"><b>Evaluasi Teknis</b></a></li>
			<li class="nav-item"><a class="nav-link" href="#harga" data-toggle="tab"><b>Evaluasi Harga</b></a></li>
        #{/if}
        #{elseif pascaDuaFileKualitas}
            <li class="nav-item"><a class="nav-link" href="#administrasi" data-toggle="tab"><b>Evaluasi Administrasi</b></a></li>
            <li class="nav-item"><a class="nav-link" href="#kualifikasi" data-toggle="tab"><b>Evaluasi Kualifikasi</b></a></li>
            <li class="nav-item"><a class="nav-link" href="#teknis" data-toggle="tab"><b>Evaluasi Teknis</b></a></li>
            <li class="nav-item"><a class="nav-link" href="#pembuktian" data-toggle="tab"><b>Pembuktian Kualifikasi</b></a></li>
            <li class="nav-item"><a class="nav-link" href="#harga" data-toggle="tab"><b>Evaluasi Harga</b></a></li>
        #{/elseif}
        #{else}
			<li class="nav-item"><a class="nav-link" href="#administrasi" data-toggle="tab"><b>Evaluasi Administrasi</b></a></li>
            <li class="nav-item"><a class="nav-link" href="#kualifikasi" data-toggle="tab"><b>Evaluasi Kualifikasi</b></a></li>
            <li class="nav-item"><a class="nav-link" href="#teknis" data-toggle="tab"><b>Evaluasi Teknis</b></a></li>
			<li class="nav-item"><a class="nav-link" href="#harga" data-toggle="tab"><b>Evaluasi Harga</b></a></li>
			<li class="nav-item"><a class="nav-link" href="#pembuktian" data-toggle="tab"><b>Pembuktian Kualifikasi</b></a></li>
        #{/else}
	</ul>
	<div class="tab-content">
		<div class="tab-pane fade" id="administrasi">
            #{if dokumen} #{include 'lelang/evaluasi/evaluasi-administrasi.html'/} #{/if}
            #{else}<div class="alert alert-danger">Peserta Tidak Mengirimkan Dokumen Penawaran</div>#{/else}
		</div>
        <div class="tab-pane fade" id="kualifikasi">
            #{if dokumen_kualifikasi} #{include 'lelang/evaluasi/evaluasi-kualifikasi.html'/} #{/if}
            #{else}<div class="alert alert-danger">Peserta Tidak Mengirimkan Dokumen Kualifikasi</div> #{/else}
        </div>
		<div class="tab-pane fade" id="teknis">
            #{if dokumen} #{include 'lelang/evaluasi/evaluasi-teknis.html'/} #{/if}
            #{else}<div class="alert alert-danger">Peserta Tidak Mengirimkan Dokumen Penawaran</div>#{/else}
		</div>
		<div class="tab-pane fade" id="harga">
            #{if dokumen_harga && !lelang.sudahPembukaanHarga()}<div class="alert alert-danger">Anda Belum Melakukan Pembukaan Penawaran</div>#{/if}
            #{elseif dokumen_harga} #{include 'lelang/evaluasi/evaluasi-harga.html'/} #{/elseif}
            #{else}<div class="alert alert-danger">Peserta Tidak Mengirimkan Dokumen Penawaran</div>#{/else}
		</div>
		<div class="tab-pane fade" id="pembuktian">
            #{if dokumen_kualifikasi} #{include 'lelang/evaluasi/pembuktian-kualifikasi.html'/} #{/if}
            #{else}<div class="alert alert-danger">Peserta Tidak Mengirimkan Dokumen Kualifikasi</div> #{/else}
		</div>
	</div>
</div>	
#{/else}
</div>
#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/js/autoNumeric.min.js'/}"></script>
<script type="text/javascript">
var url = document.location.toString();
if (url.match('#')) {
    $('.nav-tabs a[href="#'+url.split('#')[1]+'"]').tab('show') ;
}

if($('.money').length > 0) {
    new AutoNumeric.multiple('.money', { digitGroupSeparator: '.', decimalCharacter: ',' });
}

if($('.nilaiEvaluasi').length > 0) {
    new AutoNumeric.multiple('.nilaiEvaluasi', {
        maximumValue: "100",
        minimumValue: "0",
        decimalCharacter: ",",
        digitGroupSeparator: "."
    });
}

$(".harga-lulus").on("change", function () {

    var alasan = $(this).val();

    if(alasan === "true"){
        $("#alasan").hide();
    }else{
        $("#alasan").show();
    }

});

$.fn.toggleCheck=function() {
   if(this.prop('tagName') === 'INPUT' && !this.is(':disabled')) {
       $(this).prop('checked', !($(this).is(':checked')));
   }
}
$(document).ready(function() {
    $(".evaluasi-check").click(function(event){event.stopPropagation()});


    $(".check-field").mouseover(function() {
        var obj = $(this).find('input[type=checkbox],select');
        if(null != obj){
            if(obj.is(':disabled') && !obj.is(":checked")){
                $(this).find('span,select').show();
            }
        }
    });
    $(".check-field").mouseout(function() {
        var obj = $(this).find('input[type=checkbox],select');
        if(null != obj){
            if(obj.is(':disabled') && !obj.is(":checked")){
                $(this).find('span,select').hide();
            }
        }
    });
})
</script>
#{/set}